#!/bin/sh
#
# Check if user is root
#
if [ $(id -u) != "0" ]; then
    echo "Error: You must be root to run this script, please use the root user to install the software."
    exit 1
fi

if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
################################################################################
#
# Hostname: jellyfin.iot.lan
#
# IP: 192.168.60.20/24
#
# OS: Debain 12
#
# Url: http://192.168.60.20:8096
#
# Url: https://jellyfin.vmnetz.lan64.de/
#
# Container ID: 117
#
# Node: PVE01
#
################################################################################
#
# Admin pass: master_user@jellyfin#01
#
################################################################################
# 
# systemctl [start | stop | reload | restart | status] jellyfin
#
################################################################################
# echo 'mp0: /storage02/fileserver/multimedia,mp=/srv/multimedia' >> /etc/pve/nodes/pve01/lxc/117.conf
# echo 'mp1: /storage01/fileserver/downloads/jdownloader,mp=/srv/downloads' >> /etc/pve/nodes/pve01/lxc/117.conf
################################################################################
# 8096/tcp is used by default for HTTP traffic. This is admin configurable.
# 8920/tcp is used by default for HTTPS traffic. This is admin configurable.
# 1900/udp is used for service autodiscovery. This is not admin configurable as it would break client autodiscover.
#################################################################################
#
# Reset Initial Setup:
# If you made an error during the initial setup, you could revert with the following steps:
#
# nano /etc/jellyfin/system.xml
# Change the following, which is located on line 4:
#
# <IsStartupWizardCompleted>true</IsStartupWizardCompleted>
# To this:
#
# <IsStartupWizardCompleted>false</IsStartupWizardCompleted>
#################################################################################
apt install -y gnupg2 apt-transport-https
#apt install -y faac libfaac-dev

wget -O - https://repo.jellyfin.org/debian/jellyfin_team.gpg.key | apt-key add -
echo "deb [arch=$( dpkg --print-architecture )] https://repo.jellyfin.org/debian $( lsb_release -c -s ) main" | tee /etc/apt/sources.list.d/jellyfin.list
apt update && apt install -y jellyfin

systemctl enable jellyfin && systemctl start jellyfin

apt autoremove && apt autoclean && apt clean
