#!/bin/sh
#
# Check if user is root
#
if [ $(id -u) != "0" ]; then
    echo "Error: You must be root to run this script, please use the root user to install the software."
    exit 1
fi

if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
################################################################################
#
# Hostname: pbs01.home.lan
#
# IP: 192.168.10.55/24
#
# OS: Debian 12
#
# URL: https://192.168.10.55:8007
#
# URL: https://pbs01.vmnetz.lan64.de:8007/
#
# Container ID:108
#
# Node: PVE01
#
################################################################################

wget https://enterprise.proxmox.com/debian/proxmox-release-bookworm.gpg -O /etc/apt/trusted.gpg.d/proxmox-release-bookworm.gpg

# Add pbs-no-subscription repository
echo "deb http://download.proxmox.com/debian/pbs bookworm pbs-no-subscription" >> /etc/apt/sources.list


# Install Proxmox Backup Server on Debian:
# ========================================

apt update && apt install -y proxmox-backup-server

apt autoremove && apt autoclean && apt clean
