#!/bin/bash
#
# Check if user is root
#
if [ $(id -u) != "0" ]; then
	echo "Error: You must be root to run this script, please use the root user to install the software."
	exit 1
fi

if [ ! -f /etc/debian_version ]; then 
	echo "Unsupported Linux Distribution. Prepared for Debian"
	exit 1
fi
################################################################################
#
# Hostname: jdownloader.home.lan
#
# IP: 192.168.10.57/24
#
# OS: Debian 12
#
# Container ID: 116
#
# Node: pve01
#
################################################################################
#
# echo 'mp0: /srv/fileserver_data/downloads/jdownloader,mp=/opt/jdownloader/Downloads' >> /etc/pve/nodes/pve01/lxc/116.conf
#
################################################################################
#
apt install -y \
	openjdk-17-jdk-headless \
	unzip \
	unrar

groupadd --system jdownloader
#adduser jdownloader --system --group jdownloader--home /opt/jdownloader --shell=/bin/false
adduser jdownloader --system --home /opt/jdownloader --shell=/bin/false
usermod -a -G jdownloader jdownloader

mkdir -p /opt/jdownloader/downloads
chown -R jdownloader:jdownloader /opt/jdownloader


cat << 'EOF' > /etc/systemd/system/jdownloader.service
[Unit]
Description=JDownloader
After=network.target
 
[Service]
#ExecStart=/usr/bin/java -Djava.awt.headless=true -Xmx512m -jar /opt/jdownloader/JDownloader.jar
ExecStart=/usr/bin/java -Djava.awt.headless=true  -jar /opt/jdownloader/JDownloader.jar
Type=simple
User=jdownloader
Group=jdownloader
RemainAfterExit=yes
UMask=000
 
[Install]
WantedBy=multi-user.target
EOF
 
systemctl enable --now jdownloader


apt autoremove && apt autoclean && apt clean
